This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1470184 - pure-ftpd 1.0.46 is released!
pure-ftpd 1.0.46 is released!
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pure-ftpd (Show other bugs)
25
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 09:46 EDT by Dominik Kucher
Modified: 2017-09-14 05:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-14 05:38:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik Kucher 2017-07-12 09:46:23 EDT
since pure-ftpd 1.0.42 no update to a new version was built. I have run 1.0.46 without problems on Fedora 25. 

--------------------------------------------------------------
[root@srv-dksoft:]# rpm -qa | grep pure-ftpd
pure-ftpd-1.0.46-6.fc25.20170611.dk.x86_64

--------------------------------------------------------------
[builduser@buildsrv:]$cat pure-ftpd.spec 
Name:              pure-ftpd
Version:           1.0.46
Release:           7%{?dist}
Summary:           Lightweight, fast and secure FTP server
Group:             System Environment/Daemons
License:           BSD
URL:               https://www.pureftpd.org/project/pure-ftpd
Source0:           %{name}-%{version}.tar.bz2
Source1:           %{name}.service

Provides:          ftpserver
BuildRequires:     pam-devel
BuildRequires:     perl
BuildRequires:     python
BuildRequires:     libcap-devel
BuildRequires:     mariadb-devel
BuildRequires:     checkpolicy
Requires:          usermode

%description
Pure-FTPd is a fast, production-quality, standard-comformant FTP server,
based upon Troll-FTPd. Unlike other popular FTP servers, it has no known
security flaw, it is really trivial to set up and it is especially designed
for modern Linux and FreeBSD kernels.

%prep
%setup -q


%build
export CFLAGS="%{optflags} -fPIE -fuse-ld=gold -fuse-linker-plugin"
export CXXFLAGS="$CFLAGS"
export FFLAGS="$CFLAGS"
export CC="gcc $CFLAGS"
export LDFLAGS="-Wl,-z,now -Wl,-z,relro -Wl,-z,noexecstack -pie $CFLAGS"
%configure  \
 --sysconfdir=%{_sysconfdir}/%{name} \
 --with-capabilities \
 --with-sendfile \
 --with-paranoidmsg \
 --with-altlog \
 --with-puredb \
 --with-pam \
 --with-throttling \
 --with-virtualhosts \
 --with-virtualchroot \
 --with-diraliases \
 --with-mysql \
 --with-privsep \
 --with-rfc2640 \
 --with-boring \
 --without-inetd \
 --without-sysquotas \
 --without-uploadscript \
 --without-ratios \
 --without-quotas \
 --without-ftpwho \
 --without-implicittls \
 --without-tls \
 --without-ldap \
 --without-pgsql \
 --without-peruserlimits \
 --without-usernames \
 --without-bonjour \
 --without-humor \
 --without-inetd \
 --without-debug
%{__make} %{?_smp_mflags}

%install
make install-strip DESTDIR=%{buildroot}
install -d -m 755 %{buildroot}%{_unitdir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
install -d -m 755 $RPM_BUILD_ROOT%{_sbindir}
rm %{buildroot}%{_sbindir}/pure-ftpwho %{buildroot}%{_sbindir}/pure-uploadscript
rm -rf %{buildroot}%{_mandir} %{buildroot}%{_sysconfdir}/%{name}

%post
%systemd_post

%files
%{_bindir}/pure-*
%{_sbindir}/pure-*
%{_unitdir}/%{name}.service

%changelog
* Mon May 1 2017 Domninik Kucher 
- update auf 1.0.46

Note You need to log in before you can comment on or make changes to this bug.